Bug 768687 - no initramfs generated.
no initramfs generated.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-17 18:15 EST by Don Buchholz
Modified: 2013-02-13 16:13 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:13:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dracut log from '3.1.5-2' kernel installation (97.25 KB, text/plain)
2012-01-09 11:17 EST, Don Buchholz
no flags Details

  None (edit)
Description Don Buchholz 2011-12-17 18:15:25 EST
Description of problem:
  Did a "yum update" and 'kernel-3.1.5-2.fc16.x86_64' was installed.  Have attempted to boot twice from this kernel but it panics.  Selecting the previously used '3.1.4-1.fc16' kernel at the GRUB menu works.

Version-Release number of selected component (if applicable):
  kernel-3.1.5-2.fc16.x86_64

How reproducible:
  Very.

Steps to Reproduce:
1.  Restart system -- allow the default '3.1.5-2' kernel to be booted.
2.   ... wait for the panic.
3.  Use front panel button to turn off (wait ... ~15s ...), and then back on.
4.  Select the 3.1.4-1 kernel for a working system.
  
Actual results:
  System panics.  Keyboad LEDs flash.  Panic messages/traceback displayed on console screen.

Expected results:
  Expected system to boot and load rest of OS.


Additional info:
  System is a Lenovo 3000 J-series [7387-26U].
Comment 1 Josh Boyer 2011-12-18 10:37:57 EST
We're actually going to need to see that panic backtrace in order to make any progress on this bug.
Comment 2 Don Buchholz 2011-12-19 10:37:51 EST
Here are two.

-------------
Loading Fedora (3.1.5-2.fc16.x86_64)
Loading initial ramdisk ...
[    1.315074] kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)
[    1.315119] Pid: 1, comm: swapper Not tainted 3.1.5-2.fc16.x86_64 #1
[    1.315153] Call Trace:
[    1.315193]  [<ffffffff815c61ed>] panic+0x91/0x1a7
[    1.315233]  [<ffffffff81b7effd>] mount_block_root+0x1d1/0x283
[    1.315273]  [<ffffffff81002930>] ? name_to_dev_t+0x770/0xe40
[    1.315309]  [<ffffffff81b7f102>] mount_root+0x53/0x57
[    1.315344]  [<ffffffff81b7f243>] prepare_namespace+0x13d/0x176
[    1.315383]  [<ffffffff810950b0>] ? release_tgcred+0x40/0x40
[    1.315420]  [<ffffffff81b7ed68>] kernel_init+0x153/0x158
[    1.315457]  [<ffffffff81063687>] ? schedule_tail+0x27/0xb0
[    1.315495]  [<ffffffff815dad34>] kernel_thread_helper+0x4/0x10
[    1.315533]  [<ffffffff81b7ec15>] ? start_thread+0x3c0/0x3c0
[    1.315569]  [<ffffffff815dad30>] ? gs_change+0x13/0x13

-------------
Loading Fedora (3.1.5-2.fc16.x86_64)
Loading initial ramdisk ...
[    1.308809] kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)
[    1.308853] Pid: 1, comm: swapper Not tainted 3.1.5-2.fc16.x86_64 #1
[    1.308889] Call Trace:
[    1.308928]  [<ffffffff815c61ed>] panic+0x91/0x1a7
[    1.308969]  [<ffffffff81b7effd>] mount_block_root+0x1d1/0x283
[    1.309037]  [<ffffffff81002930>] ? name_to_dev_t+0x770/0xe40
[    1.309074]  [<ffffffff81b7f102>] mount_root+0x53/0x57
[    1.309109]  [<ffffffff81b7f243>] prepare_namespace+0x13d/0x176
[    1.309148]  [<ffffffff810950b0>] ? release_tgcred+0x40/0x40
[    1.309186]  [<ffffffff81b7ed68>] kernel_init+0x153/0x158
[    1.309223]  [<ffffffff81063687>] ? schedule_tail+0x27/0xb0
[    1.309261]  [<ffffffff815dad34>] kernel_thread_helper+0x4/0x10
[    1.309299]  [<ffffffff81b7ec15>] ? start_thread+0x3c0/0x3c0
[    1.309335]  [<ffffffff815dad30>] ? gs_change+0x13/0x13
Comment 3 Josh Boyer 2011-12-19 11:37:47 EST
Please look in /boot and verify you have an initramfs corresponding to that kernel version.  If you do, please make sure that it is listed in the initrd section in whichever grub configuration file you are using.
Comment 4 Don Buchholz 2011-12-19 12:09:20 EST
Yup, that was it.  There was no "initrd" stanza in /boot/grub2/grub.cfg.  It works now.  Not sure why the update failed to put it there.  Sorry for the inconvenience.
Comment 5 Giuseppe Castagna 2011-12-25 17:24:07 EST
I had exactly the same problem with 3.1.5-6.fc16.x86_64 the line
	initrd /initramfs-3.1.5-6.fc16.x86_64.img
was missing from /boot/grub2/grub.cfg
Comment 6 Harald Hoyer 2012-01-05 04:45:55 EST
any failures logged in /var/log/dracut.log ?
Comment 7 Don Buchholz 2012-01-09 11:17:50 EST
Created attachment 551597 [details]
dracut log from '3.1.5-2' kernel installation

No obvious errors in the log.  A few "possible missing firmware" warnings, but they're not relevant.
Comment 8 Fedora End Of Life 2013-01-16 11:58:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 16:13:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.